<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.example.apex_omnicanal</groupId>
    <artifactId>code.Master</artifactId>
    <version>8.0.1</version>
    <relativePath>../../../../../</relativePath>
  </parent>
  <groupId>org.example.apex_omnicanal.job</groupId>
  <artifactId>j_stock_diff_gce</artifactId>
  <version>0.1.0</version>
  <name>APEX_OMNICANAL j_stock_diff_gce-0.1.0 (0.1,Jobs)</name>
  <properties>
    <talend.job.type>Standard</talend.job.type>
    <talend.job.date>${maven.build.timestamp}</talend.job.date>
    <talend.pigudf.groupid>org.example.apex_omnicanal.pigudf</talend.pigudf.groupid>
    <talend.job.folder>apex/si_apex/</talend.job.folder>
    <talend.job.context>DEV</talend.job.context>
    <talend.job.path>apex_omnicanal</talend.job.path>
    <project.distribution-management.repository.id>${project.distributionManagement.repository.id}</project.distribution-management.repository.id>
    <talend.job.stat>true</talend.job.stat>
    <talend.job.jvmargs>-Xms256M -Xmx1024M -Dfile.encoding=UTF-8 </talend.job.jvmargs>
    <talend.job.id>_kxBvgAB7Ee-Uf7Ypz9or4Q</talend.job.id>
    <talend.job.version>0.1</talend.job.version>
    <talend.job.framework></talend.job.framework>
    <talend.routine.groupid>org.example.apex_omnicanal.code</talend.routine.groupid>
    <current.int-resources.dir>${basedir}/src/main/resources</current.int-resources.dir>
    <current.resources.dir>${basedir}/src/main/ext-resources</current.resources.dir>
    <talend.project.name.lowercase>apex_omnicanal</talend.project.name.lowercase>
    <talend.project.id>0</talend.project.id>
    <talend.job.applyContextToChildren>false</talend.job.applyContextToChildren>
    <output.resources.dir>${talend.job.name}/src/main/resources</output.resources.dir>
    <maven.build.timestamp.format>yyyy-MM-dd HHmmssSSS</maven.build.timestamp.format>
    <talend.product.version>8.0.1.20211109_1610</talend.product.version>
    <talend.project.name>APEX_OMNICANAL</talend.project.name>
    <current.test.resources.dir>${basedir}/src/test/resources</current.test.resources.dir>
    <project.distribution-management.repository.url>${project.distributionManagement.repository.url}</project.distribution-management.repository.url>
    <current.bundle.resources.dir>${basedir}/src/main/bundle-resources</current.bundle.resources.dir>
    <talend.job.name>j_stock_diff_gce</talend.job.name>
    <talend.job.finalName>j_stock_diff_gce_0_1</talend.job.finalName>
  </properties>
  <dependencies>
    <dependency>
      <groupId>net.minidev</groupId>
      <artifactId>accessors-smart</artifactId>
      <version>2.4.7</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>aopalliance</groupId>
      <artifactId>aopalliance</artifactId>
      <version>1.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm</artifactId>
      <version>9.1</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.daikon</groupId>
      <artifactId>audit-common</artifactId>
      <version>1.16.1</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.daikon</groupId>
      <artifactId>audit-log4j2</artifactId>
      <version>1.16.1</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.bouncycastle</groupId>
      <artifactId>bcprov-jdk15on</artifactId>
      <version>1.69</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>commons-beanutils</groupId>
      <artifactId>commons-beanutils</artifactId>
      <version>1.9.4</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>commons-codec-1.15</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>commons-collections</groupId>
      <artifactId>commons-collections</artifactId>
      <version>3.2.2</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>commons-lang</groupId>
      <artifactId>commons-lang</artifactId>
      <version>2.6</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-lang3</artifactId>
      <version>3.10</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.2</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>commons-logging-1.1.1</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>commons-net</groupId>
      <artifactId>commons-net</artifactId>
      <version>3.6</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cryptacular-1.2.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.daikon</groupId>
      <artifactId>crypto-utils</artifactId>
      <version>0.31.12</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.cxf</groupId>
      <artifactId>cxf-core</artifactId>
      <version>3.4.4</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-bindings-soap-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-databinding-jaxb-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-features-logging-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-frontend-jaxrs-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-rs-client-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-rs-extension-providers-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-rs-security-oauth2-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-security-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-security-saml-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-transports-http-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-ws-security-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>cxf-rt-wsdl-3.4.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.dom4j</groupId>
      <artifactId>dom4j</artifactId>
      <version>2.1.3</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>ehcache-3.8.1</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>ezmorph-1.0.6</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.google.guava</groupId>
      <artifactId>guava</artifactId>
      <version>30.0-jre</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.sun.istack</groupId>
      <artifactId>istack-commons-runtime</artifactId>
      <version>3.0.10</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>jakarta-oro-2.0.8</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>jakarta.annotation</groupId>
      <artifactId>jakarta.annotation-api</artifactId>
      <version>1.3.5</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>jakarta.jws</groupId>
      <artifactId>jakarta.jws-api</artifactId>
      <version>1.1.1</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>jakarta.xml.bind</groupId>
      <artifactId>jakarta.xml.bind-api</artifactId>
      <version>2.3.3</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>jakarta.xml.soap</groupId>
      <artifactId>jakarta.xml.soap-api</artifactId>
      <version>1.4.1</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>jasypt-1.9.3</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>com.sun.activation</groupId>
      <artifactId>javax.activation</artifactId>
      <version>1.2.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>javax.ws.rs</groupId>
      <artifactId>javax.ws.rs-api</artifactId>
      <version>2.1</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>javax.wsdl_1.6.2.v201012040545</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.glassfish.jaxb</groupId>
      <artifactId>jaxb-runtime</artifactId>
      <version>2.3.2</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>jaxen</groupId>
      <artifactId>jaxen</artifactId>
      <version>1.1.6</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.jboss.marshalling</groupId>
      <artifactId>jboss-marshalling</artifactId>
      <version>2.0.12.Final</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>jettison-1.4.1</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.components.lib</groupId>
      <artifactId>job-audit</artifactId>
      <version>1.4</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>joda-time-2.9</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>net.sf.json-lib</groupId>
      <artifactId>json-lib</artifactId>
      <version>2.4.6-talend</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>net.minidev</groupId>
      <artifactId>json-smart</artifactId>
      <version>2.4.7</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-api</artifactId>
      <version>2.13.2</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-core</artifactId>
      <version>2.13.2</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-jcl</artifactId>
      <version>2.13.2</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-slf4j-impl</artifactId>
      <version>2.13.2</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.daikon</groupId>
      <artifactId>logging-event-layout</artifactId>
      <version>1.16.1</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.neethi</groupId>
      <artifactId>neethi</artifactId>
      <version>3.1.1</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-core-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-profile-api-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-saml-api-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-saml-impl-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-security-api-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-security-impl-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-soap-api-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-xacml-api-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-xacml-impl-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-xacml-saml-api-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-xacml-saml-impl-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-xmlsec-api-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>opensaml-xmlsec-impl-3.4.5</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.servicemix.specs</groupId>
      <artifactId>org.apache.servicemix.specs.jaxws-api-2.2</artifactId>
      <version>2.9.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.postgresql</groupId>
      <artifactId>postgresql</artifactId>
      <version>42.2.14</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>security-common-8.0.1</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <version>1.7.29</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aop</artifactId>
      <version>5.3.8</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-beans</artifactId>
      <version>5.3.8</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
      <version>5.3.8</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-core</artifactId>
      <version>5.3.8</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-expression</artifactId>
      <version>5.3.8</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-web</artifactId>
      <version>5.3.8</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-webmvc</artifactId>
      <version>5.3.8</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.jvnet.staxex</groupId>
      <artifactId>stax-ex</artifactId>
      <version>1.8.3</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>stax2-api-3.1.4</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.components.lib</groupId>
      <artifactId>talend-proxy</artifactId>
      <version>1.0.2</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.components.lib</groupId>
      <artifactId>talend_file_enhanced</artifactId>
      <version>1.1</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.components</groupId>
      <artifactId>talendcsv</artifactId>
      <version>1.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.glassfish.jaxb</groupId>
      <artifactId>txw2</artifactId>
      <version>2.3.3</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>woodstox-core-asl-4.4.1</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>wss4j-bindings-2.3.0</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>wss4j-policy-2.3.0</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.wss4j</groupId>
      <artifactId>wss4j-ws-security-common</artifactId>
      <version>2.3.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>wss4j-ws-security-dom-2.3.2</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>wss4j-ws-security-policy-stax-2.3.0</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>wss4j-ws-security-stax-2.3.0</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.ws.xmlschema</groupId>
      <artifactId>xmlschema-core</artifactId>
      <version>2.2.5</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>xmlsec-2.2.0</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>xom-1.2.7</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.example.apex_omnicanal.code</groupId>
      <artifactId>routines</artifactId>
      <version>8.0.1</version>
    </dependency>
    <dependency>
      <groupId>org.example.apex_omnicanal.joblet</groupId>
      <artifactId>j_init_exec</artifactId>
      <version>0.1.0</version>
      <type>pom</type>
    </dependency>
    <dependency>
      <groupId>org.example.apex_omnicanal.joblet</groupId>
      <artifactId>j_end_exec</artifactId>
      <version>0.1.0</version>
      <type>pom</type>
    </dependency>
    <dependency>
      <groupId>org.example.apex_omnicanal.joblet</groupId>
      <artifactId>j_catch_unexpected_error</artifactId>
      <version>0.1.0</version>
      <type>pom</type>
    </dependency>
  </dependencies>
  <build>
    <finalName>${talend.job.finalName}</finalName>
  </build>
  <profiles>
    <profile>
      <id>packaging-and-assembly</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <build>
        <plugins>
          <plugin>
            <artifactId>maven-assembly-plugin</artifactId>
            <executions>
              <execution>
                <phase>package</phase>
                <goals>
                  <goal>single</goal>
                </goals>
                <configuration>
                  <descriptors>
                    <descriptor>${basedir}/src/main/assemblies/assembly.xml</descriptor>
                  </descriptors>
                  <tarLongFileMode>gnu</tarLongFileMode>
                  <appendAssemblyId>false</appendAssemblyId>
                  <finalName>${talend.job.finalName}</finalName>
                </configuration>
              </execution>
            </executions>
          </plugin>
        </plugins>
      </build>
    </profile>
    <profile>
      <id>signature</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <build>
        <plugins>
          <plugin>
            <groupId>org.talend.ci</groupId>
            <artifactId>signer-maven-plugin</artifactId>
            <version>${signer.version}</version>
            <executions>
              <execution>
                <id>sign</id>
                <phase>package</phase>
                <goals>
                  <goal>sign</goal>
                </goals>
              </execution>
            </executions>
            <dependencies>
              <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>1.15</version>
              </dependency>
            </dependencies>
          </plugin>
        </plugins>
      </build>
    </profile>
    <profile>
      <id>default-settings</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <talend.libraries.excludes.set>*:*</talend.libraries.excludes.set>
        <talend.jobs.excludes.set>*:*</talend.jobs.excludes.set>
      </properties>
    </profile>
    <profile>
      <id>include-java-sources</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <resources.dir>${current.resources.dir}/</resources.dir>
        <sourcecodes.dir>${project.build.sourceDirectory}</sourcecodes.dir>
      </properties>
    </profile>
    <profile>
      <id>include-maven-resources</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <routinespom.dir>${parentpom.dir}code/routines/</routinespom.dir>
        <routinescode.dir>${parentpom.dir}code/routines/src/main/</routinescode.dir>
        <assemblies.dir>${basedir}/src/main/assemblies/</assemblies.dir>
        <pigudfpom.dir>${parentpom.dir}code/pigudf/</pigudfpom.dir>
        <templates.dir>${basedir}/src/main/templates/</templates.dir>
        <poms.dir>${basedir}</poms.dir>
        <joblet.dir>${parentpom.dir}jobs/</joblet.dir>
        <parentpom.dir>${project.parent.relativePath}</parentpom.dir>
        <pigudfcode.dir>${parentpom.dir}code/pigudf/src/main/</pigudfcode.dir>
      </properties>
    </profile>
    <profile>
      <id>include-items</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <items.dir>${basedir}/src/main/items/${project.build.finalName}</items.dir>
      </properties>
    </profile>
    <profile>
      <id>include-libs</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <talend.libraries.excludes.set>${talend.libraries.includes.set}</talend.libraries.excludes.set>
        <current.job.binaries.include>${project.groupId}:${project.artifactId}:${project.version}</current.job.binaries.include>
        <talend.pigudf.excludes.set>org.talend.pigudf.${talend.project.name.lowercase}:*</talend.pigudf.excludes.set>
        <talend.jobs.excludes.set>${project.groupId}:*</talend.jobs.excludes.set>
        <talend.code.excludes.set>org.talend.code.${talend.project.name.lowercase}:*</talend.code.excludes.set>
        <talend.libraries.includes.set>org.talend.libraries:*</talend.libraries.includes.set>
      </properties>
    </profile>
    <profile>
      <id>include-binaries</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <jobs.binaries.includes.set>${project.groupId}:*</jobs.binaries.includes.set>
        <routines.binaries.includes.set>${talend.routine.groupid}:*</routines.binaries.includes.set>
      </properties>
    </profile>
    <profile>
      <id>include-xmlMappings</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <xmlMappings.resources.dir>${current.resources.dir}/xmlMappings/</xmlMappings.resources.dir>
      </properties>
    </profile>
    <profile>
      <id>include-running-xmlMappings</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <xmlMappings.running.dir>${current.resources.dir}/xmlMappings/</xmlMappings.running.dir>
      </properties>
    </profile>
    <profile>
      <id>include-rules</id>
      <properties>
        <rules.resources.dir>${current.resources.dir}/rules/</rules.resources.dir>
      </properties>
    </profile>
    <profile>
      <id>include-log4j</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <log4j.resources.dir>${current.resources.dir}/</log4j.resources.dir>
      </properties>
    </profile>
    <profile>
      <id>include-running-log4j</id>
      <properties>
        <log4j.running.dir>${current.resources.dir}/</log4j.running.dir>
      </properties>
    </profile>
    <profile>
      <id>include-contexts</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <contexts.running.dir>${current.resources.dir}/</contexts.running.dir>
      </properties>
    </profile>
    <profile>
      <id>include-test-sources</id>
      <properties>
        <test.resources.dir>${basedir}/src/test/resources/</test.resources.dir>
        <test.sourcecodes.dir>${project.build.testSourceDirectory}</test.sourcecodes.dir>
      </properties>
    </profile>
    <profile>
      <id>include-test-reports</id>
      <properties>
        <test.reports.dir>${project.build.directory}/surefire-reports</test.reports.dir>
      </properties>
    </profile>
    <profile>
      <id>include-pigudfs-binaries</id>
      <properties>
        <pigudfs.binaries.includes.set>${talend.pigudf.groupid}:*</pigudfs.binaries.includes.set>
      </properties>
    </profile>
    <profile>
      <id>include-microservice-configs</id>
      <properties>
        <microservice.configs.dir>${current.resources.dir}/</microservice.configs.dir>
      </properties>
    </profile>
    <profile>
      <id>include-microservice-running-configs</id>
      <properties>
        <microservice.running.configs.dir>${current.int-resources.dir}/</microservice.running.configs.dir>
      </properties>
    </profile>
    <profile>
      <id>include-microservice-em-dependencies</id>
      <activation>
        <property>
          <name>studio.prometheus.metrics</name>
          <value>true</value>
        </property>
      </activation>
      <build>
        <plugins>
          <plugin>
            <artifactId>maven-assembly-plugin</artifactId>
            <executions>
              <execution>
                <phase>package</phase>
                <goals>
                  <goal>single</goal>
                </goals>
                <configuration>
                  <descriptors>
                    <descriptor>${basedir}/src/main/assemblies/assembly.xml</descriptor>
                  </descriptors>
                  <tarLongFileMode>gnu</tarLongFileMode>
                  <appendAssemblyId>false</appendAssemblyId>
                  <finalName>${talend.job.finalName}</finalName>
                </configuration>
              </execution>
            </executions>
          </plugin>
        </plugins>
      </build>
      <properties>
        <microservice.configs.dir>${current.resources.dir}/</microservice.configs.dir>
        <contexts.running.dir>${current.resources.dir}/</contexts.running.dir>
        <microservice.running.configs.dir>${current.int-resources.dir}/</microservice.running.configs.dir>
      </properties>
    </profile>
  </profiles>
</project>
